# Required hardware

These are the hardware requirements for a minimal working system.

## DECT Antenna

FieldPOC is automation around the management API of Mitel DECT systems.
So you need to have a [Mitel RFP 3rd gen](https://howto.dect.network/#hardware-rfp-generations).
Our development setup currently uses an RFP 43 WLAN.

## Powering the Antenna

The RFP gets powered using PoE, so make sure you have a **PoE Injector**

## Telephony Server

The telephony server should be a x84 64bit computer with two Gigabit Ethernet RJ45 ports.
In out case we use an APU Board, but it doesn't really matter.
