# Setup OMM

OMM stands for Open Mobility Manager.
It is there to manage multiple RFPs.

## Designate OMM

The OMM is a pice of software that can be hosted stand-alone or you can designate a RFP to be the OMM.
In setups operating FieldPOC it is usually totally fine and recommended to just designate a RFP to be the OMM.

RFPs automatically host the OMM when they receive their own IP address in the OMM field via DHCP.

## Management interface

The OMM exposes a web interface at their IP address.
It is reachable via its IP address, port 443.

## Setup

When using the OMM the first time, some initial tasks have to be done.
This only apply on a fresh factory reset RFP.

You get a login screen without a PARK shown.

You can login with the credentials `omm` and password `omm`.

Afterwards you get propted to accept the EULA.

### Login credentials

You get asked to set a new password for user `omm`.
Set a new password.
Make sure to leave password aging to `None`.

Next you get ask to set a password for the `root` user too.
It is used to access the OMM via SSH.
Set a password for it too.

### Activate license

You can configure many things, but the OMM does not really do anything without a license.

Go to tab `System` and then `System Settings` and find row `PARK`.
Load PARK file as explained in [howto.dect.network](https://howto.dect.network/#system-settings).

Wait for OMM restarting.

### SIP Settings

Connect the OMM with the SIP server of FieldPOC.

Go to tag `System`, then `SIP` and find rows `Proxy server` and `Registrar server`.
Fill in the IPv4 address of the DECT network interface of the FieldPOC server (`10.42.132.1` in the example).
Save using the `OK` button.

### DECT devices subscription

This enables DECT devices to connect to the phone system.

Go to tab `SIP Users/Devices`.
Set `DECT authentication code` to `0000`.
Set checkbox in row `Auto-create on subscription`.
Change the drop down in row `Subscription` to `Subscription`.
Save using the `OK` button.

> Sometimes the value in row `Subscription` changes to `Off` randomly.
> If you can't subscribe new devices, make sure to check this option.
